## org.apache.hadoop.net
Interface Node

All Known Implementing Classes:
  NodeBase

    public interface Node

The interface defines a node in a network topology. A node may be a leave representing a data node or an inner node representing a datacenter or rack. Each data has a name and its location in the network is decided by a string with syntax similar to a file name. For example, a data node's name is hostname:port# and if it's located at rack "orange" in datacenter "dog", the string representation of its network location is /dog/orange

Method Summary
`int` `getLevel()` Return this node's level in the tree.
`String` `getName()` Return this node's name
`String` `getNetworkLocation()` Return the string representation of this node's network location
`Node` `getParent()` Return this node's parent
`void` `setLevel(int i)` Set this node's level in the tree.
`void` `setNetworkLocation(String location)` Set the node's network location
`void` `setParent(Node parent)` Set this node's parent

Method Detail

### getNetworkLocation

    String getNetworkLocation()

  Return the string representation of this node's network location

### setNetworkLocation

    void setNetworkLocation(String location)

  Set the node's network location

### getName

    String getName()

  Return this node's name

### getParent

    Node getParent()

  Return this node's parent

### setParent

    void setParent(Node parent)

  Set this node's parent

### getLevel

    int getLevel()

  Return this node's level in the tree. E.g. the root of a tree returns 0 and its children return 1

### setLevel

    void setLevel(int i)

  Set this node's level in the tree.

Copyright © 2009 The Apache Software Foundation